model:
  name: seq_multitask
  kwargs:
    filters: 64
    conv1_kernel_size: 21
    tconv_kernel_size: 50
    n_dil_layers: 9
    lr: 0.004
    c_task_weight: 10
data:
  name: get_StrandedProfile_datasets
  type: Dataset
  preproc: {}
  kwargs:
    peak_width: 1000
    shuffle: true
    valid_chr:
    - chr2
    - chr3
    - chr4
    test_chr:
    - chr1
    - chr18
    - chr19
    all_chr:
    - chr1
    - chr2
    - chr3
    - chr4
    - chr5
    - chr6
    - chr7
    - chr8
    - chr9
    - chr10
    - chr11
    - chr12
    - chr13
    - chr14
    - chr15
    - chr16
    - chr17
    - chr18
    - chr19
    - chrX
train:
  early_stop_patience: 5
  epochs: 200
  batch_size: 256
  balance_peak_classes: false
  train_epoch_frac: 1.0
  valid_epoch_frac: 1.0
evaluate:
  pos_min_threshold: 0.05
  neg_max_threshold: 0.01
  required_min_pos_counts: 2.5
  binsizes:
  - 1
  - 10
modisco: {}
path: mm10.train.hp.yaml
